Bug 594858 - [abrt] crash in pioneers-0.12.2-4.fc12: raise: Process /usr/bin/pioneers was killed by signal 6 (SIGABRT)
[abrt] crash in pioneers-0.12.2-4.fc12: raise: Process /usr/bin/pioneers was ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pioneers (Show other bugs)
12
i686 Linux
low Severity medium
: ---
: ---
Assigned To: Paul W. Frields
Fedora Extras Quality Assurance
abrt_hash:5667c5a68c9f0f3edaa421192f7...
:
: 615821 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-21 15:39 EDT by Carlos "casep" Sepulveda
Modified: 2010-08-18 21:03 EDT (History)
2 users (show)

See Also:
Fixed In Version: pioneers-0.12.3-2.fc14
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-08-13 17:16:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (15.70 KB, text/plain)
2010-05-21 15:39 EDT, Carlos "casep" Sepulveda
no flags Details

  None (edit)
Description Carlos "casep" Sepulveda 2010-05-21 15:39:35 EDT
abrt 1.0.9 detected a crash.

architecture: i686
Attached file: backtrace
cmdline: pioneers
component: pioneers
crash_function: raise
executable: /usr/bin/pioneers
global_uuid: 5667c5a68c9f0f3edaa421192f789814a8b03fe2
kernel: 2.6.32.11-99.fc12.i686.PAE
package: pioneers-0.12.2-4.fc12
rating: 4
reason: Process /usr/bin/pioneers was killed by signal 6 (SIGABRT)
release: Fedora release 12 (Constantine)

How to reproduce
-----
1. Start local server pioneers
2. launch gtk client
Comment 1 Carlos "casep" Sepulveda 2010-05-21 15:39:38 EDT
Created attachment 415758 [details]
File: backtrace
Comment 2 Paul W. Frields 2010-08-01 17:33:58 EDT
*** Bug 615821 has been marked as a duplicate of this bug. ***
Comment 3 Paul W. Frields 2010-08-02 16:56:59 EDT
I think I have a fix for this problem.  It's somewhat of a workaround.  Changes the user tries to make outside of a session are discarded, thus avoiding the tripped assertion that causes the crash.  It would be preferable to simply not allow the profile to work outside of a session, but that requires much more invasive changes (like turning off the menu entry and the key combo) which I was loathe to get into.

I'll try to get this into a build shortly for F-12, F-13, F-14, and devel.

----
diff -uNr pioneers-0.12.2-orig/client/gtk/name.c pioneers-0.12.2/client/gtk/name.c
--- pioneers-0.12.2-orig/client/gtk/name.c      2008-05-01 15:05:57.000000000 -0400
+++ pioneers-0.12.2/client/gtk/name.c   2010-08-01 17:29:58.284181851 -0400
@@ -47,7 +47,7 @@
                           gpointer user_data)
 {
        DialogData *dialog = user_data;
-       if (response_id == GTK_RESPONSE_OK) {
+       if ((response_id == GTK_RESPONSE_OK) && (callback_mode != MODE_INIT)) {
                const gchar *new_name =
                    gtk_entry_get_text(GTK_ENTRY(dialog->name_entry));
                const gchar *new_style = dialog->current_style;
Comment 4 Fedora Update System 2010-08-05 14:29:48 EDT
pioneers-0.12.3-2.fc13 has been submitted as an update for Fedora 13.
http://admin.fedoraproject.org/updates/pioneers-0.12.3-2.fc13
Comment 5 Fedora Update System 2010-08-05 14:29:53 EDT
pioneers-0.12.2-5.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/pioneers-0.12.2-5.fc12
Comment 6 Fedora Update System 2010-08-05 14:29:58 EDT
pioneers-0.12.3-2.fc14 has been submitted as an update for Fedora 14.
http://admin.fedoraproject.org/updates/pioneers-0.12.3-2.fc14
Comment 7 Fedora Update System 2010-08-05 19:34:43 EDT
pioneers-0.12.2-5.fc12 has been pushed to the Fedora 12 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pioneers'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pioneers-0.12.2-5.fc12
Comment 8 Fedora Update System 2010-08-05 19:54:45 EDT
pioneers-0.12.3-2.fc13 has been pushed to the Fedora 13 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pioneers'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pioneers-0.12.3-2.fc13
Comment 9 Fedora Update System 2010-08-09 21:30:54 EDT
pioneers-0.12.3-2.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update pioneers'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/pioneers-0.12.3-2.fc14
Comment 10 Paul W. Frields 2010-08-10 09:48:36 EDT
Reporter and others:  Please use the above instructions (comment 7 for F12, comment 8 for F13) to test this update, and give your feedback at the URL provided.  If you have a Fedora account, please login to provide your feedback so you get credit for the contribution.  Thanks!
Comment 11 Carlos "casep" Sepulveda 2010-08-11 20:35:47 EDT
In Fedora 13, following the instructions from Comment 8 I'm no longer able to reproduce the bug.
I'll try to get a Fedora 12 box to test it.
FAS: casep

Thanks!
Comment 12 Fedora Update System 2010-08-13 17:16:24 EDT
pioneers-0.12.2-5.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 13 Fedora Update System 2010-08-13 17:25:51 EDT
pioneers-0.12.3-2.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 14 Fedora Update System 2010-08-18 21:03:51 EDT
pioneers-0.12.3-2.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.